summaryrefslogtreecommitdiff
path: root/libtomcrypt/testbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libtomcrypt/testbuild.sh')
-rw-r--r--libtomcrypt/testbuild.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/libtomcrypt/testbuild.sh b/libtomcrypt/testbuild.sh
new file mode 100644
index 0000000..a17c677
--- /dev/null
+++ b/libtomcrypt/testbuild.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+echo "$1 (Build Only, $2, $3)..."
+make clean 1>/dev/null 2>/dev/null
+echo -n "building..."
+touch testok.txt
+CFLAGS="$2" make -f $3 test tv_gen 1>gcc_1.txt 2>gcc_2.txt || (echo "build $1 failed see gcc_2.txt for more information" && cat gcc_2.txt && rm -f testok.txt && exit 1)
+if find testok.txt -type f 1>/dev/null 2>/dev/null ; then
+ echo "successful"
+ exit 0
+fi
+exit 1